<?php

namespace app\admin\controller;

use app\common\logic\Data as lData;

class Data extends Base
{


    /**
     * @数据汇总
     *
     * @author: zsl
     * @since: 2021/3/5 13:45
     */
    public function summarize()
    {
        if (request() -> isPost()) {
            $param = request() -> param();
            $lData = new lData();
            return json($lData -> summarize($param));
        }
        return false;
    }


    /**
     * @充值明细
     *
     * @author: zsl
     * @since: 2021/3/8 10:20
     */
    public function recharge()
    {
        if (request() -> isPost()) {
            $param = request() -> param();
            $lData = new lData();
            return json($lData -> recharge($param));
        }
        return false;
    }


    /**
     * @注册明细
     *
     * @author: zsl
     * @since: 2021/3/8 11:11
     */
    public function register()
    {
        if (request() -> isPost()) {
            $param = request() -> param();
            $lData = new lData();
            return json($lData -> register($param));
        }
        return false;
    }


    /**
     * @查看注册账号列表
     *
     * @author: zsl
     * @since: 2021/3/8 17:49
     */
    public function viewRegister()
    {
        if (request() -> isPost()) {
            $param = request() -> param();
            $lData = new lData();
            return json($lData -> viewRegister($param));
        }
        return false;
    }


    /**
     * @查看充值账号列表
     *
     * @author: zsl
     * @since: 2021/3/8 19:01
     */
    public function viewRecharge()
    {
        if (request() -> isPost()) {
            $param = request() -> param();
            $lData = new lData();
            return json($lData -> viewRecharge($param));
        }
        return false;
    }

}